## lua-xmlrpc 1.0b

=== Makefile ===
LUA_DIR= /usr/local/share/lua/5.0
VERSION= 1.0b
PKG= luaxmlrpc-$(VERSION)
DIST_DIR= $(PKG)
TAR_FILE= $(PKG).tar.gz
ZIP_FILE= $(PKG).zip
SRCS= README Makefile \
	xmlrpc.lua http.lua cgi.lua test.lua \
	index.html manual.html license.html luaxmlrpc.png

dist: dist_dir
	tar -czf $(TAR_FILE) $(DIST_DIR)
	zip -rq $(ZIP_FILE) $(DIST_DIR)/*
	rm -rf $(DIST_DIR)

dist_dir:
	mkdir $(DIST_DIR)
	cp $(SRCS) $(DIST_DIR)

install:
	mkdir -p $(LUA_DIR)/xmlrpc
	cp xmlrpc.lua http.lua cgi.lua $(LUA_DIR)/xmlrpc

clean:
	rm -f $(TAR_FILE) $(ZIP_FILE)

## lua-xmlrpc 1.2.1

=== Makefile ===

LUA_DIR= /usr/local/share/lua/5.1

LUAS= src/init.lua src/http.lua src/server.lua


build clean:

install:
	mkdir -p $(LUA_DIR)/xmlrpc
	cp $(LUAS) $(LUA_DIR)/xmlrpc

=== debian/changelog ===
lua-xmlrpc (1.2.1-6) unstable; urgency=low

  * Packaging moved to git
  * Remove transitional packages 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 19:38:37 +0200

lua-xmlrpc (1.2.1-5) unstable; urgency=low

  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 16:11:54 +0200

lua-xmlrpc (1.2.1-4) unstable; urgency=low

  * Update dependency: liblua5.1-socket2 -> lua-socket 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Apr 2012 17:17:03 +0200

lua-xmlrpc (1.2.1-3) unstable; urgency=low

  * Switch to dh-lua
  * debian/compat set to 8
  * Packages renamed according to the new Lua policy
  * watch file updated
  * bumped standards-version to 3.9.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 27 Apr 2012 17:15:39 +0200

lua-xmlrpc (1.2.1-2) unstable; urgency=low

  * fix test target
  * avoid installing .lua files with execution bit

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Jul 2011 00:16:47 +0200

lua-xmlrpc (1.2.1-1) unstable; urgency=low

  * bumped standards-version to 3.9.2, no changes 
  * source format 3.0 (quilt)
  * new upstream version
  * new upstream maintainer
  * update copyright file dates 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Jul 2011 11:08:37 +0200

lua-xmlrpc (1.0b-5) unstable; urgency=low

  * bumped standards-version to 3.8.2, no changes
  * added Homepage field in control
  * Fixed Vcs fields in control
  * build-depend on lua5.1-policy-dev >= 22

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 18:03:31 +0200

lua-xmlrpc (1.0b-4) unstable; urgency=low

  * Fixed FTBFS caused by missing build depend on liblua5.1-expat-dev used in
    the testing phase

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:47:24 +0200

lua-xmlrpc (1.0b-3) unstable; urgency=low

  * Renamed obsolete CDBS variable
  * Fixed date in copyright file

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:19:02 +0200

lua-xmlrpc (1.0b-2) unstable; urgency=low

  * -dev package is arch all and not any

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 28 Jul 2007 16:16:21 +0200

lua-xmlrpc (1.0b-1) unstable; urgency=low

  * Initial release. (Closes: #434073)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 21 Jul 2007 11:55:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	chmod a-x src/*.lua
	dh_auto_configure

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-xmlrpc
#
version=3
https://github.com/timn/lua-xmlrpc/downloads /downloads/.*/lua-xmlrpc-([\d\.]*).tar.gz

## lua-xmlrpc 1.2.2

=== debian/changelog ===
lua-xmlrpc (1.2.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Point Vcs fields to Salsa
  * Fix Homepage
  * d/watch
     - version=4
     - Fix to work properly with tags
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add debian/upstream/metadata
  * Set upstream metadata fields: Bug-Submit.
  * Do not use potentially privacy relevant images

 -- Andreas Tille <tille@debian.org>  Tue, 26 Aug 2025 06:33:04 +0200

lua-xmlrpc (1.2.1-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #995525)

 -- Marcos Talau <talau@debian.org>  Tue, 15 Nov 2022 08:26:16 -0300

lua-xmlrpc (1.2.1-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 19:22:44 +0100

lua-xmlrpc (1.2.1-7) unstable; urgency=medium

  * Fix the way lxp.lom is loaded (Closes:  #746147)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 27 Apr 2014 18:05:52 +0200

=== debian/control ===
Source: lua-xmlrpc
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-lua, lua-expat
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lua-team/lua-xmlrpc
Vcs-Git: https://salsa.debian.org/lua-team/lua-xmlrpc.git
Homepage: https://github.com/timn/lua-xmlrpc

Package: lua-xmlrpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lua-expat, lua-socket
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: xmlrpc library for the Lua language
 This package contains the Lua xmlrpc facility library, for both client
 and server mode.

=== debian/watch ===
version=4
 
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/timn/lua-xmlrpc/tags .*/v?(\d\S*)\.tar\.gz
